<mat-card class="card col-md-6 border-info" id="profileUpd" *ngIf="!updateConf; else agree">
    <mat-card-title>Podešavanja naloga: </mat-card-title>
    <form [formGroup]="checkForm" (ngSubmit)="submitForm(checkForm.value)">

        <mat-card-content *ngIf="user">
            <div>

                <mat-label>Ime i prezime: </mat-label>
                <h5>{{user.firstName}} {{user.lastName}}</h5>
                <div class="imePrezime">
                    <mat-form-field class='create-input' appearance="fill">
                        <mat-label>Ime: </mat-label>
                        <input matInput type="text" formControlName="changeFirstName" [(ngModel)]="firstNameChecked"
                            placeholder="ime">
                    </mat-form-field>
                    <mat-form-field class='create-input' appearance="fill" style="margin-left: 5px;">
                        <mat-label>Prezime: </mat-label>
                        <input matInput type="text" formControlName="changeLastName" [(ngModel)]="lastNameChecked">
                    </mat-form-field>
                </div>
            </div>

            <div>
                <mat-label>Datum rođenja: </mat-label>

                <h5>{{user.birthday  | date:"dd.MM.yyyy" }}</h5>
                <br>
                <mat-form-field appearance="fill" class="others">
                    <mat-label>Datum rođenja: </mat-label>

                    <input matInput [matDatepicker]="picker" formControlName="changeBirthday"
                        [(ngModel)]="birthdayChecked">
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker touchUi #picker></mat-datepicker>
                </mat-form-field>




            </div>

            <div>
                <mat-label>Pol: </mat-label>

                <div class="form-row">
                    <h5 class="gender"> {{user.gender}} </h5>

                    <div style="margin-left: 20rem">

                        <section class="example-section">
                            <mat-radio-group>
                                <mat-radio-button class="example-margin" value="male" (change)="genderCheckedMale = !genderCheckedMale">
                                    muški </mat-radio-button>
                                <mat-radio-button class="example-margin" value="female" (change)="genderCheckedFemale = !genderCheckedFemale"
                                    style="margin-left: 10px;">ženski</mat-radio-button>
                            </mat-radio-group>
                        </section>
                    </div>
                </div>
            </div>
            <div>
                <mat-label>Email: </mat-label>

                <h5>{{user.email}} </h5>
                <br>
                <mat-form-field class='create-input others' appearance="fill" style="margin-left: 25rem;">
                    <mat-label>Email:</mat-label>
                    <input matInput type="text" formControlName="changeEmail" [(ngModel)]="emailChecked">
                </mat-form-field>

            </div>
            <div>
                <mat-label>Korisničko ime: </mat-label>

                <h5> {{user.username}} </h5>
                <mat-form-field class='create-input others' appearance="fill">

                    <mat-label>Korisničko ime: </mat-label>
                    <input matInput type="text" formControlName="changeUsername" [(ngModel)]="usernameChecked">
                </mat-form-field>


            </div>

            <div>
                <label>Šifra</label>
                <div class="form-row">
                    <h5 style="margin-left: 3rem;"> ******</h5>

                    <mat-form-field class='create-input' appearance="fill" style="margin-left: 35px;">
                        <mat-label>nova šifra: </mat-label>

                        <input matInput [type]="hide1 ? 'password' : 'text'" name="password"
                            formControlName="changePassword" [(ngModel)]="passwordChecked">
                        <mat-icon matSuffix (click)="hide1 = !hide1" [attr.aria-label]="'Hide password'"
                            [attr.aria-pressed]="hide1">
                            {{hide1 ? 'visibility_off' : 'visibility'}}</mat-icon>

                    </mat-form-field>

                    <mat-form-field class='create-input' appearance="fill" style="margin-left: 35px;">
                        <mat-label>ponovite šifru: </mat-label>

                        <input matInput [type]="hide2 ? 'password' : 'text'" name="password"
                            formControlName="changePassword2" [(ngModel)]="passwordChecked2">
                        <mat-icon matSuffix (click)="hide2 = !hide2" [attr.aria-label]="'Hide password2'"
                            [attr.aria-pressed]="hide2">
                            {{hide2 ? 'visibility_off' : 'visibility'}}</mat-icon>

                    </mat-form-field>
                </div>
            </div>
            <hr>
            <div>
                <mat-accordion class="example-headers-align" multi>
                    <mat-expansion-panel>
                        <mat-expansion-panel-header>
                            <mat-panel-title>
                                Dodajte fotografiju
                            </mat-panel-title>
                            <mat-panel-description>
                                <mat-icon style="margin-left: 70%;">account_circle</mat-icon>
                            </mat-panel-description>
                        </mat-expansion-panel-header>
            
                            <div>            
                            <input type ="file" style="display: none" (change)="onFileSelected($event)" #fileInput>
                            <button type="button" (click)="fileInput.click()" mat-raised-button>izaberite fajl</button>
                            
                            <button type="button" (click)="onUpload()" mat-raised-button style ="margin-left: 10%">potvrdite</button>
                            </div>
                    </mat-expansion-panel>
            
                </mat-accordion>
            
            
            </div>
            <hr>
        </mat-card-content>


        <mat-card-actions id="submit1">
            <button type="submit" mat-raised-button>Potvrdite promene</button>


            <button mat-stroked-button [routerLink]="['/profile', user.username]" style="margin-left: 9.5rem;">
                Odustani <mat-icon>home</mat-icon>
            </button>

        </mat-card-actions>

    </form>
</mat-card>

<ng-template #agree>
    <mat-card class="agreeChanges">
        <mat-card-title>Molimo Vas potvrdite Vaše izmene: </mat-card-title>
        <form [formGroup]="checkForm2" (ngSubmit)="submitForm2(checkForm2.value)">
            <div>
                <mat-card-content id="usernameAndPassword">
                    <mat-form-field id="usernameConf" class='create-input' appearance="fill" style="margin-left: 27.5%;"
                    >
                        <mat-label>Korisničko ime: </mat-label>
                        <input matInput type="text" formControlName="usernameConf">
                    </mat-form-field>
                    <br><br>
                    <mat-form-field class='create-input' appearance="fill">

                        <mat-label for="passwordConf">Šifra: </mat-label>
                        <input matInput [type]="hideConf ? 'password' : 'text'" name="password"
                            formControlName="passwordConf">
                        <mat-icon matSuffix (click)="hideConf = !hideConf" [attr.aria-label]="'Hide password'"
                            [attr.aria-pressed]="hideConf">
                            {{hideConf ? 'visibility_off' : 'visibility'}}</mat-icon>



                    </mat-form-field>
                </mat-card-content>
                <br>
                <mat-card-actions id="submit2">
                    <button type="submit" mat-raised-button>Potvrdite</button>
                </mat-card-actions>
            </div>
        </form>
    </mat-card>
</ng-template>